package com.steerinfo.appservice.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class LoadLinkDemo {
    /**
     * 车号(CAR_NO,VARCHAR,20)
     */
    @ApiModelProperty(value = "车号", required = true)
    private String carNo;
    /**
     * 物料编号(MATTER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value = "物料编号", required = true)
    private String matterNo;

    /**
     * 物料名称(MATTER_NAME,VARCHAR,60)
     */
    @ApiModelProperty(value = "物料名称", required = true)
    private String matterName;

    private Date loadTime;

    private Long carNum;

    private double countWeight;

    @ApiModelProperty(value = "卸货人", required = false)
    private String loadManName;

    @ApiModelProperty(value = "重量", required = true)
    private double meterWeight;

    @ApiModelProperty(value = "毛重", required = false)
    private double grossWeight;
    @ApiModelProperty(value = "皮重", required = false)
    private double tareWeight;

    @ApiModelProperty(value = "净重", required = false)
    private double netWeight;

    @ApiModelProperty(value = "毛重时间", required = false)
    private Date grossTime;

    @ApiModelProperty(value = "皮重时间", required = false)
    private Date tareTime;

    @ApiModelProperty(value = "净重时间", required = false)
    private Date netTime;

    @ApiModelProperty(value = "合同号", required = false)
    private String contractNo;

    @ApiModelProperty(value = "批次号", required = false)
    private String batchNo;

    @ApiModelProperty(value = "发货单位", required = false)
    private String forwardingUnitName;

    @ApiModelProperty(value = "收货单位", required = false)
    private String receivingUintName;

    @ApiModelProperty(value = "规格", required = false)
    private String  specName;

    public String getSpecName() {
        return specName;
    }

    public void setSpecName(String specName) {
        this.specName = specName;
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public String getForwardingUnitName() {
        return forwardingUnitName;
    }

    public void setForwardingUnitName(String forwardingUnitName) {
        this.forwardingUnitName = forwardingUnitName;
    }

    public String getReceivingUintName() {
        return receivingUintName;
    }

    public void setReceivingUintName(String receivingUintName) {
        this.receivingUintName = receivingUintName;
    }


    public String getLoadManName() {
        return loadManName;
    }

    public void setLoadManName(String loadManName) {
        this.loadManName = loadManName;
    }


    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo;
    }

    public String getMatterNo() {
        return matterNo;
    }

    public void setMatterNo(String matterNo) {
        this.matterNo = matterNo;
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName;
    }

    public Date getLoadTime() {
        return loadTime;
    }

    public void setLoadTime(Date loadTime) {
        this.loadTime = loadTime;
    }

    public Long getCarNum() {
        return carNum;
    }

    public void setCarNum(Long carNum) {
        this.carNum = carNum;
    }

    public double getCountWeight() {
        return countWeight;
    }

    public void setCountWeight(double countWeight) {
        this.countWeight = countWeight;
    }

    public double getGrossWeight() {
        return grossWeight;
    }

    public void setGrossWeight(double grossWeight) {
        this.grossWeight = grossWeight;
    }

    public double getNetWeight() {
        return netWeight;
    }

    public void setNetWeight(double netWeight) {
        this.netWeight = netWeight;
    }

    public Date getGrossTime() {
        return grossTime;
    }

    public void setGrossTime(Date grossTime) {
        this.grossTime = grossTime;
    }

    public Date getTareTime() {
        return tareTime;
    }

    public void setTareTime(Date tareTime) {
        this.tareTime = tareTime;
    }

    public Date getNetTime() {
        return netTime;
    }

    public void setNetTime(Date netTime) {
        this.netTime = netTime;
    }

    public double getMeterWeight() {
        return meterWeight;
    }

    public void setMeterWeight(double meterWeight) {
        this.meterWeight = meterWeight;
    }


    public double getTareWeight() {
        return tareWeight;
    }

    public void setTareWeight(double tareWeight) {
        this.tareWeight = tareWeight;
    }


}
